rem @echo off
if "%1"=="1" goto run
if "%1"=="2" goto run
if "%1"=="3" goto run
if "%1"=="4" goto run
if "%1"=="5" goto run
if "%1"=="666" goto fast

echo usage: 666 [number]
echo         where [number] is a number representing the skill level
echo           1 -- I'm too young to die
echo           2 -- Hey, not too rough
echo           3 -- Hurt me plenty
echo           4 -- Ultra-Violence
echo           5 -- Nightmare
echo         666 -- Ultra-violence -fast
goto end

:run
doom -devparm -file 666epis.wad -warp 3 4 -skill %1
goto end

:fast 
doom -devparm -file 666epis.wad -warp 3 4 -skill 4 -fast
goto end

:end
